routes/web.php
<?php

use App\Http\Controllers\Admin;
use App\Http\Controllers\AppointmentController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\AvailabilityController;
use App\Http\Controllers\CartController;
use App\Http\Controllers\WishlistController;
use App\Http\Controllers\FrontCategoryController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\CommandeController;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\Auth\PasswordController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\ProfilClientController;
use App\Http\Controllers\RecetteController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\ConseilController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\RatingController;
use App\Http\Controllers\SettingController;
use App\Http\Controllers\GestionInformationController;
use App\Http\Controllers\FrontController;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Mail;

Route::get('/', [\App\Http\Controllers\HomeController::class, 'index'])->name('welcome');
// Routes accessibles à tous les utilisateurs
Auth::routes(['reset' => true]);
Route::get('logout', [LoginController::class, 'logout'])->name('admin.logout');
Route::post('/logout', [LoginController::class, 'logout'])->name('logout');
//MAIL REST PASSWORD
Route::post('password/reset' , [\App\Http\Controllers\Auth\ResetPasswordController::class, 'resetPassword'])->name('password.update');
Route::get('/test-email', function () {
    Mail::raw('This is a test email', function ($message) {
        $message->to('recipient@example.com')
            ->subject('Test Email from Laravel');
    });

    return 'Test email sent.';
});
//

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/nutritionnistes', [FrontController::class, 'nutritionnistes'])->name('front.nutritionnistes.index');
Route::get('/nutritionnistes/search', [FrontController::class, 'searchNutritionnistes'])->name('nutritionnistes.search');
Route::get('/recettes/search', 'App\Http\Controllers\FrontController@search')->name('recette.search');

//category recette
Route::get('/category/{slug}',[App\Http\Controllers\FrontCategoryController::class, 'index'])->name('category.recette');

//route wishlist
Route::get('/wishlist', [WishlistController::class, 'index'])->name('wishlist');
Route::post('/wishlist/add/{id}', [WishlistController::class, 'add'])->name('wishlist.add')->middleware('auth');
Route::delete('/supprimer/item/wishlist/{id}', [WishlistController::class, 'delete'])->name('wishlist.remove')->middleware('auth');

//route rating

Route::post('/products/{product}/rate', [RatingController::class, 'storeProductRating'])->name('products.rate');
Route::post('/nutritionists/rate', [RatingController::class, 'storeNutritionistRating'])->name('nutritionists.rate');

Route::get('/recette', [FrontController::class, 'recettes'])->name('front.recettes.index');
Route::get('/recettes/{id}', [FrontController::class, 'recettedetails'])->name('front.recettedetails.index');
Route::get('/conseils', [FrontController::class, 'conseil'])->name('conseils');
Route::get('/conseils/{id}', [FrontController::class, 'conseildetails'])->name('front.conseildetails.index');
Route::get('/conseils/search', [FrontController::class, 'searchConseils'])->name('conseils.search');

Route::post('/conseils/{id}/comment', [App\Http\Controllers\CommentController::class, 'createConseil'])->name('comment.create.conseil');
Route::get('/shop',[FrontController::class,'shop'])->name('shop');
Route::get('/shop/search', [FrontController::class, 'shop'])->name('shop.search');
Route::get('/shop/{id}',[FrontController::class,'shopdetails'])->name('shopdetails.index');

Route::post('ajout/commande',[CommandeController::class,'store'])->name('commande.store')->middleware('auth');
Route::get('caisse',[CommandeController::class,'index'])->name('front.caisse.index')->middleware('auth');
//route cart
Route::get('/cart',[CartController::class,'index'])->name('cart.index')->middleware('auth');
Route::post('/ajout-cart/{id}', [CartController::class, 'ajout'])->name('ajout.cart');
Route::get('/supprimer/item/cart/{id}',[CartController::class,'delete'])->name('supprimer.cart')->middleware('auth');
Route::post('/edit/{id}',[CartController::class,'update'])->name('modifier.cart')->middleware('auth');


Route::post('/appointment', [AppointmentController::class, 'create'])->name('appointment.store');
Route::resource('appointments', AppointmentController::class);
Route::get('/api/appointments', [AppointmentController::class, 'apiAppointments'])->name('api.appointments');
Route::get('/appointments/list', [AppointmentController::class, 'listAppointments'])->name('appointments.list');
Route::resource('availabilities', AvailabilityController::class);

Route::put('/nutritionnistes/{nutritionniste}/approve', [\App\Http\Controllers\NutritionnisteController::class, 'approve'])->name('nutritionnistes.approve');
Route::patch('/nutritionniste/approve', [\App\Http\Controllers\NutritionnisteController::class, 'nutritionniste'])->name('approve.nutritionniste');
Route::get('/apropos', [App\Http\Controllers\FrontController::class, 'apropos'])->name('apropos');
Route::post('/recettes/{id}/comment', [App\Http\Controllers\CommentController::class, 'create'])->name('comment.create');

Route::get('profile', [\App\Http\Controllers\ProfileController::class, 'edit'])->name('admin.profile.edit');
Route::patch('profile', [\App\Http\Controllers\ProfileController::class, 'update'])->name('admin.profile.update');
Route::patch('modifier/password', [\App\Http\Controllers\Auth\PasswordController::class, 'update'])->name('password.update');



    Route::get('user/account', [ProfilClientController::class, 'edit'])->name('client.account.edit');
    Route::patch('user/account/edit', [ProfilClientController::class, 'update'])->name('client.account.update');
    Route::patch('account/password', [ProfilClientController::class, 'updatePassword'])->name('password.update.account');

    //Route access admin
Route::prefix('admin')->middleware('auth','admin')->group(function () {
   //Route settings
    Route::get('/paramettre', [SettingController::class, 'index'])->name('settings.index');
    Route::put('/paramettre/{settings}', [SettingController::class, 'update'])->name('settings.update');
//Route auteurs
    Route::resource('nutritionniste', App\Http\Controllers\NutritionnisteController::class)->shallow();
    Route::resource('client', App\Http\Controllers\clientController::class)->shallow();
//Route categories
    Route::resource('/category', CategoryController::class)->except(['show']);
//Route produits
    Route::resource('/produit', ProductController::class);
    //Route commande-cote-admin
    Route::get('/commandes',[\App\Http\Controllers\CommandeController::class, 'Admin'])->name('commande.admin');
    Route::delete('/admin/commandes/{id}', [CommandeController::class, 'destroy'])->name('admin.commandes.destroy');
    Route::get('/commande/voir/{id}',[\App\Http\Controllers\CommandeController::class, 'show'])->name('commande.voir');
    Route::get('commandes/confirm/{id}', [CommandeController::class, 'confirm'])->name('admin.commandes.confirm');
    Route::get('commandes/annuler/{id}', [CommandeController::class, 'annuler'])->name('admin.commandes.annuler');

});

//Route admin-nutritionniste
Route::prefix('dashboard')->middleware(['auth', 'CheckRole:' . User::TYPE_SUPER_ADMIN . ',' . User::TYPE_NUTRITIONNISTE])->group(function () {
    Route::get('/acceuil', [DashboardController::class, 'index'])->name('admin.dashboard');
    Route::resource('conseil', App\Http\Controllers\ConseilController::class);
    // Route::resource('client', ClientController::class)->except(['show']);
    Route::resource('/recette', RecetteController::class);
//Route commentaires
    Route::get('/comment', [\App\Http\Controllers\CommentController::class,'index'])->name('comment.index');
    Route::put('/comment/update/{comment}',[CommentController::class,'update'])->name('comment.update');
    Route::put('/comment/debloque/{id}',[CommentController::class,'debloquer'])->name('comment.debloquer');

});

//Route Nuutritionniste
Route::prefix('nutritionniste')->middleware('auth','Nutritionniste')->group(function () {
    Route::resource('/compte', GestionInformationController::class);

});
// Routes pour les utilisateurs invités (non connectés)
Route::middleware('guest')->group(function () {

    Route::get('login', [LoginController::class, 'showLoginForm'])->name('login');
    Route::get('password/reset', [\App\Http\Controllers\Auth\ResetPasswordController::class, 'showReset'])->name('password.request');
    Route::post('login', [LoginController::class, 'login'])->name('admin.login.submit');
});

resources/views/admin/partials/header.blade.php
<div class="header">
    <div class="header-left">
        <a href="index.html" class="logo">
            @if(is_null(auth()->user()->avatar))
                <img class="rounded-circle" alt="User Image" src="{{asset('admin/assets/img/profiles/avatar-01.png')}}">
            @else
                <img
                    src="{{asset(auth()->user()->avatar)}}"
                    width="50"
                    height="70"
                    alt="logo"
                />
            @endif
            <span class="logoclass">{{(auth()->user()->first_name)}}</span>
        </a>
        <a href="index.html" class="logo logo-small">
            @if(auth()->user()->avatar === null)
                <img class="rounded-circle" alt="User Image" src="{{asset('admin/assets/img/profiles/avatar-01.png')}}">
            @else
                <img
                    src="{{asset(auth()->user()->avatar)}}"
                    alt="Logo"
                    width="30"
                    height="30"
                />
            @endif
        </a>
    </div>
    <a href="javascript:void(0);" id="toggle_btn">
        <i class="fe fe-text-align-left"></i>
    </a>
    <a class="mobile_btn" id="mobile_btn"> <i class="fas fa-bars"></i> </a>
    <ul class="nav user-menu">
        <li class="nav-item dropdown has-arrow">
            <a href="#" class="dropdown-toggle nav-link" data-toggle="dropdown">
    <span class="user-img">
        @if(auth()->user()->avatar == null)
            <img class="rounded-circle" alt="User Image" src="{{ asset('admin/assets/img/profiles/avatar-01.png') }}"
                 width="30" height="30">
        @else
            <img class="rounded-circle" src="{{ asset(auth()->user()->avatar) }}" width="30" height="30"
                 alt="{{ auth()->user()->first_name }}">
        @endif
    </span>
            </a>

            <div class="dropdown-menu">
                <div class="user-header">
                    <div class="avatar avatar-sm">
                        @if(auth()->user()->avatar === null)
                            <img class="rounded-circle" alt="User Image"
                                 src="{{asset('admin/assets/img/profiles/avatar-01.png')}}">
                        @else
                            <img
                                src="{{asset(auth()->user()->avatar)}}"
                                alt="User Image"
                                class="avatar-img rounded-circle"
                            />
                        @endif
                    </div>
                    <div class="user-text">
                        <h6>{{ auth()->user()->first_name }}</h6>
                        <p class="text-muted mb-0">
                            @if(auth()->user()->type === \App\Models\User::TYPE_SUPER_ADMIN)
                                <small> Super Administrateur</small>
                            @elseif(auth()->user()->type === \App\Models\User::TYPE_NUTRITIONNISTE)
                                <small>Nutritionniste</small>
                            @endif
                        </p>
                    </div>
                </div>
                <a class="dropdown-item" href="{{route('admin.profile.edit')}}">Profile</a>
                <a class="dropdown-item" href="{{route('settings.index')}}">Paramettre</a>
                <a class="dropdown-item" href="{{route('logout')}}">logout</a>
            </div>
        </li>
    </ul>
</div>

resources/views/admin/partials/scripts.blade.php
<script src="{{asset('admin/assets/js/jquery-3.5.1.min.js')}}"></script>
<script src="{{asset('admin/assets/js/popper.min.js')}}"></script>
<script src="{{asset('admin/assets/js/bootstrap.min.js')}}"></script>
<script src="{{asset('admin/assets/plugins/slimscroll/jquery.slimscroll.min.js')}}"></script>
<script src="{{asset('admin/assets/plugins/raphael/raphael.min.js')}}"></script>
<script src="{{asset('admin/assets/plugins/morris/morris.min.js')}}"></script>
<script src="{{asset('admin/assets/js/chart.morris.js')}}"></script>
<script src="{{asset('admin/assets/js/script.js')}}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/js/iziToast.min.js" integrity="sha512-Zq9o+E00xhhR/7vJ49mxFNJ0KQw1E1TMWkPTxrWcnpfEFDEXgUiwJHIKit93EW/XxE31HSI5GEOW06G6BF1AtA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-tagsinput/0.8.0/bootstrap-tagsinput.js"></script>

<!-- Include FullCalendar CSS -->
<link href='https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.10.2/fullcalendar.min.css' rel='stylesheet' />

<!-- Include jQuery -->
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js'></script>

<!-- Include Moment.js -->
<script src='https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment.min.js'></script>

<!-- Include FullCalendar JS -->
<script src='https://cdnjs.cloudflare.com/ajax/libs/fullcalendar/3.10.2/fullcalendar.min.js'></script>



<script>
    function previewFile(input) {
        var file = $("input[type=file]").get(0).files[0];

        if (file) {
            var reader = new FileReader();

            reader.onload = function () {
                $("#previewImg").attr("src", reader.result);
            }

            reader.readAsDataURL(file);
        }
    }

</script>

resources/views/admin/partials/sidebar.blade.php
<div class="sidebar" id="sidebar">
    <div class="sidebar-inner slimscroll">
        <div id="sidebar-menu" class="sidebar-menu">
            <ul>
                <li class="active">
                    <a href="{{route('home')}}"
                    ><i class="fas fa-tachometer-alt"></i>
                        <span>Acceuil
                        </span>
                    </a>
                </li>

                <li class="list-divider"></li>

                @can('access-admin')
                    <li class="submenu">
                        <a href="#"><i class="fas fa-user"></i> <span> Auteurs </span>
                            <span class="menu-arrow"></span></a>
                        <ul class="submenu_class" style="display: none">
                            <li><a href="{{route('nutritionniste.index')}}">Nutritionniste </a>
                            </li>
                            <li>
                                <a href="{{route('client.index')}}">Client </a>
                            </li>
                        </ul>
                    </li>
                @endcan
                @if(auth()->check() && auth()->user()->type == \App\Models\User::TYPE_NUTRITIONNISTE)
                <li>
                    <a
                    ><i class="fa fa-calendar"></i> <span> Rendez-vous </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <ul class="submenu_class" style="display: none">
                        <li><a href="{{route('appointments.index')}}" > Calendrier </a></li>
                        <li><a href="{{route('appointments.list')}}"> liste </a></li>
                    </ul>
                </li>
                @endif
                @can('access-admin')
                    <li>
                        <a href="{{route('category.index')}}">
                            <i class="fas fa-book"></i></i>
                            <span>Catégories</span>
                        </a>
                    </li>
                @endcan
                <li>
                    <a href="{{route('recette.index')}}"
                    ><i class="fas fa-edit"></i> <span>Recettes</span></a
                    >
                </li>
                <li>
                    <a href="{{route('conseil.index')}}"
                    ><i class="fas fa-edit"></i> <span>Conseils</span></a
                    >
                </li>
                 @can('access-admin')
                    <li>
                        <a href="{{route('produit.index')}}"
                        ><i class="fas fa-edit"></i> <span>Produits</span></a
                        >
                    </li>
                @endcan
                @can('access-admin')
                    <li>
                        <a href="{{route('commande.admin')}}"
                        ><i class="fe fe-table"></i> <span>Tous Les Commandes</span></a
                        >
                    </li>
                @endcan
                <li>
                    <a href="{{route('comment.index')}}"
                    ><i class="fe fe-table"></i> <span>Commentaires</span></a
                    >
                </li>
                @can('access-admin')
                  <li>
                     <a href="{{route('settings.index')}}"
                    ><i class="fas fa-cog"></i> <span>Paramètres</span></a
                    >
                  </li>
                @endcan
            </ul>
        </div>
    </div>
</div>

resources/views/admin/partials/styles.blade.php
<link
    rel="shortcut icon"
    type="image/x-icon"
    href="{{asset('admin/assets/img/favicon.png')}}"
/>
<link rel="stylesheet" href="{{asset('admin/assets/css/bootstrap.min.css')}}" />
<link
    rel="stylesheet"
    href="{{asset('admin/assets/plugins/fontawesome/css/fontawesome.min.css')}}"
/>
<link rel="stylesheet" href="{{asset('admin/assets/plugins/fontawesome/css/all.min.css')}}" />
<link rel="stylesheet" href="{{asset('admin/assets/css/feathericon.min.css')}}" />
<link rel="stylehseet" href="https://cdn.oesmith.co.uk/morris-0.5.1.css" />
<link rel="stylesheet" href="{{asset('admin/assets/plugins/morris/morris.css')}}" />
<link rel="stylesheet" href="{{asset('admin/assets/css/style.css')}}" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/css/iziToast.min.css" integrity="sha512-O03ntXoVqaGUTAeAmvQ2YSzkCvclZEcPQu1eqloPaHfJ5RuNGiS4l+3duaidD801P50J28EHyonCV06CUlTSag==" crossorigin="anonymous" referrerpolicy="no-referrer" />


<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-tagsinput/0.8.0/bootstrap-tagsinput.css"
      rel="stylesheet" />
<style>
    .bootstrap-tagsinput .tag {
        margin-right: 2px;
        color: #ffffff;
        background: #2196f3;
        padding: 3px 7px;
        border-radius: 3px;
    }
    .bootstrap-tagsinput {
        width: 100%;
    }
</style>